Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #736

Library Playlist: allow selecting multiple songs and send them to a new (or existing) playlist
July 30, 2017 19:41 - Ari Ar

Status: Rejected Start date: July 30, 2017
Priority: Minor Due date:
Description
When using the search tool, large collections can have tens of thousands of songs all appearing in the Library Playlist.
The Library Playlist is quite flexible, one can order it in so many different ways to find content that the Search Tool itself is not flexible

enough to display. When finding the right content though, it would be great to be able to select the desired songs/albums and send
the selection to a new playlist and/or to append to one of the existing playlists in the tabbed interface.

History

#1 - August 01, 2017 01:54 - John Lindgren

- Description updated

Isn't that exactly what copy and paste does? Let's not reinvent the wheel here.

#2 - August 01, 2017 05:51 - Ari Ar

Well | have to acknowledge that | opened this feature req. before realizing that you could achieve the same result by: selecting the songs, then
right-click > Copy, then creating a new blank playlist from the Playlist menu and pasting them.

Sorry about that.

| still think it would be neat to be able to right click on the selected songs,and then: "Append To" > (New Playlist || Existing Playlist). | agree this is
totally non-essential, but specially useful if you start filtering out the library to narrow down to desired content like in feature #735 - and then build a
playlist with the result to keep it for future use

http://redmine.audacious-media-player.org/issues/735

#3 - August 01, 2017 17:57 - John Lindgren
- Description updated

Using the keyboard shortcuts will probably save you a bunch of clicking. For example, Ctrl-C, Ctrl-T, Ctrl-V will copy your current selection to a new
playlist.

#4 - December 05, 2020 16:36 - John Lindgren

- Status changed from New to Rejected

Closing old feature requests that no one has shown interest in working on for >3 years.
